package org.jeecg.modules.zrzyqc.qyxx.service;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.zrzyqc.qyxx.entity.QcQyxx;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.zrzyqc.qyxx.entity.XzdxVO;

import java.util.HashMap;
import java.util.List;

/**
 * @Description: 用地单位信息
 * @Author: jeecg-boot
 * @Date: 2022-07-08
 * @Version: V1.0
 */
public interface IQcQyxxService extends IService<QcQyxx> {

    String selectqyxx();

    String yxdls();

    String sbdksAdmin();

    //上报地块面积,避免影响接口增加
    String sbdksMjAdmin();

    String sbdks(String name);

    String sbdksMj(String username);

    String tgsh(String name);

    String wsh(String name);

    String btgsh(String name);

    String dqsbs(String username);

    String cwth(String username);

    //审核面积
    String shmj(String username);

    //    审核不通过
    String shmj_not(String username);

    String wshsl(String username);

    String tgshAdmin();

    String wshAdmin();

    String wshslAdminMJ();

    String btgshAdmin();

    String wshslAdmin();

    String shzsl(String username);

    String shzslAdmin();

    void upSfsb(String id);

    void updatePid(String PARENT_ID, String ORG_CODE);

    Integer getPWDlog(String username);

    String selectdwxx();

    String sydwyxdls();

    String sydwsbdksAdmin();

    String sydwtgshAdmin();

    String sydwwshAdmin();

    String sydwbtgshAdmin();

    String sydwshzslAdmin();

    List<HashMap<String, Object>> sjyttjsz(String xzqh);

    List<HashMap<String, Object>> dtdktj(String orgCode);

    List<HashMap<String, Object>> sjyttjss(String xzqh);

    List<HashMap<String, Object>> ssdkmj();

    List<HashMap<String, Object>> szdkmj();

    List<HashMap<String, Object>> yjdwhz(String xzqh);

    List<HashMap<String, Object>> dtdktjByxq(String orgCode, String xzqh);

    List<HashMap<String, Object>> ssdkmjbyqx(String xzqh);

    List<HashMap<String, Object>> szdkmjByqx(String xzqh);

    String wshslMJ(String username);

    String sydwwshAdminMj();

    String sydwwshAdminWshMj();
    /*查询年份*/
    List<String> queryYears();

    /**
     * 统计闲置低效
     * @param s
     * @return
     */
    XzdxVO getXzdx(String s);

    /**
     * 省直
     * @return
     */
    XzdxVO getXzdxSz();
}
